# List all incoming invoices Required scopes: incoming-invoice:read Returns documents of type Invoice and Credit. Endpoint: GET /incoming-invoices Version: v1 Security: http, oauth2 ## Query parameters: - `sort` (string) Available sorts are title, date_of_invoice, due_date, sum_net, sum_tax, sum_gross, created_at.You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -title. Example: "sort=-created_at,title" - `page[size]` (integer) The number of results that will be returned per page. - `page[cursor]` (string) The cursor to start the pagination from. - `filter` (string) Allowed filter fields (with allowed operators): | Field | Type | Operators | |------|------|-----------| | external_id | string | in, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull | | title | string | in, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull | | type | enum | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull | | status | enum | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull | | payment_status | enum | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull | | invoice_number | string | in, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull | | sum_net | currency | eq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, contains, like, startswith, endswith, isnull, isnotnull, notnull | | sum_tax | currency | eq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, contains, like, startswith, endswith, isnull, isnotnull, notnull | | sum_gross | currency | eq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, contains, like, startswith, endswith, isnull, isnotnull, notnull | | supplier.id | id | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull | | editor.id | id | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull | | date_of_invoice | date | eq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, isnull, isnotnull, notnull | | due_date | date | eq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, isnull, isnotnull, notnull | | created_at | datetime | eq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, isnull, isnotnull, notnull | Filtering expression. Accepts either JSON (array/tree of conditions) or a readable string DSL. You can check the full syntax at Docs Filtering section. Special values: - me.id — current authenticated user id (usable on fields of type id). Example: id eq me.id - now — current date-time. Example: dueOn lt now - sow/eow — start/end of week. Examples: dueOn gt sow, dueOn lt eow - som/eom — start/end of month. Examples: dueOn gt som, dueOn lt eom - today — special date for today; with eq it expands to the whole day range. Example: dueOn eq today - today±Nd — relative day offset. Examples: today-30d, today+5d. Example: "title contains \"Acme\" and (created_at >= \"2024-01-01\" or client.name contains \"Corp\")" ## Response 200 fields (application/json): - `data` (array, required) The list of items - `data.id` (string, required) - `data.external_id` (string,null, required) - `data.external_origin` (string,null, required) - `data.type` (string, required) | | |---| | Invoice Standard incoming invoice | | Credit Credit note | Enum: "Invoice", "Credit" - `data.title` (string, required) - `data.status` (string, required) - `data.payment_status` (string, required) - `data.invoice_number` (string,null, required) - `data.notes` (string,null, required) - `data.sum_net` (number, required) - `data.sum_tax` (number, required) - `data.sum_gross` (number, required) - `data.vats` (array, required) VAT breakdown - `data.vats.vat` (number, required) VAT rate in percent - `data.vats.value` (number, required) Calculated VAT amount - `data.supplier` (any, required) - `data.payment_account` (any, required) - `data.date_of_invoice` (string,null, required) - `data.due_date` (string,null, required) - `data.date_of_start` (string,null, required) - `data.date_of_end` (string,null, required) - `data.editor` (any, required) - `data.bookings` (array) Chart of account bookings - `data.bookings.type` (string, required) - `data.bookings.value` (number, required) - `data.bookings.chart_of_account_id` (string,null, required) - `data.bookings.position_id` (string,null, required) - `data.bookings.project_id` (string,null, required) - `data.bookings.client_id` (string,null, required) - `data.bookings.chart_of_account` (any, required) - `data.bookings.outgoing_invoice` (any, required) - `data.bookings.created_at` (string, required) - `data.bookings.updated_at` (string,null, required) - `data.payments` (array) Payments - `data.payments.payment_type` (string,null, required) - `data.payments.payment_account_id` (string,null, required) - `data.payments.account` (any, required) - `data.payments.date` (string,null, required) - `links` (array, required) - `meta` (object, required) - `meta.path` (string,null, required) Base path for paginator generated URLs. - `meta.per_page` (integer, required) Number of items shown per page. - `meta.next_cursor` (string,null, required) - `meta.next_cursor_url` (string,null, required) - `meta.prev_cursor` (string,null, required) - `meta.prev_cursor_url` (string,null, required) ## Response 401 fields (application/json): - `message` (string, required) Error overview.